# Adapt an ICS file with Vim

Tips to modify an autogenerated ics file with the Vim text editor.

## Remove unescaped \n

Commande vim : `:%s/\\n//g`

Before :
```
SUMMARY:TP - CCUBE - C000\n
```

After :
```
SUMMARY:TP - CCUBE - C000
```

## Shrink first dash

Command vim : `:%s/ - \(.*\) \?\(-\?\) \?/,\1\2/g`

Before :
```
SUMMARY:TP - CCUBE - C000
SUMMARY:CM - CCUBE
```

After :
```
SUMMARY:TP,CCUBE - C000
SUMMARY:CM,CCUBE
```

## Remove extra location

Command vim : `%s/ - .*$//`

Before :
```
SUMMARY:TP,CCUBE - C000
SUMMARY:CM,CCUBE
```

After :
```
SUMMARY:TP,CCUBE
SUMMARY:CM,CCUBE
```

## Remove semester from subjects

Commant vim : `:%s/S[3579]\+//`

Before :
```
SUMMARY:TD,EPSS79
SUMMARY:TD,ALLS7
```

After :
```
SUMMARY:TD,EPS
SUMMARY:TD,ALL
```
